# Syntax
#./histogram_VanHateren <Device BINS NUMBER_OF_BLOCKS THREADS_PER_BLOCK REPLICATION_FACTOR REPEAT>

# 256-bins histogram
./histogram_VanHateren 0 256 16 1024 47 10

# Output:
# ./histogram_VanHateren on GeForce GTX 580
# 10 repetitions
# Image size = 1572864 pixels
# Execution configuration: 16 blocks of 1024 threads, 47 sub-histograms per block
# -------------------------------------------------------------------------------
# R_per_block approach on GPU =	0.1283	ms
# CPU computation =	2.7775	ms
# Speedup =	21.64
# TEST PASSED

# 1024-bins histogram
./histogram_VanHateren 0 1024 16 1024 11 10

# Output:
# ./histogram_VanHateren on GeForce GTX 580
# 10 repetitions
# Image size = 1572864 pixels
# Execution configuration: 16 blocks of 1024 threads, 11 sub-histograms per block
# -------------------------------------------------------------------------------
# R_per_block approach on GPU =	0.1651	ms
# CPU computation =	2.8193	ms
# Speedup =	17.07
# TEST PASSED
