# Syntax
#./histogram_RGB2gray <Device BINS NUMBER_OF_BLOCKS THREADS_PER_BLOCK REPLICATION_FACTOR REPEAT>

# 256-bins grayscale histogram
./histogram_RGB2gray 0 256 16 1024 47 10

# Output:
# ./histogram_RGB2gray on GeForce GTX 580
# 10 repetitions
# Image size = 442368 pixels
# Execution configuration: 16 blocks of 1024 threads, 47 sub-histograms per block
# -------------------------------------------------------------------------------
# R_per_block approach on GPU =	0.0889	ms
# CPU computation =	3.7792	ms
# Speedup =	42.53
# TEST PASSED
